
package de.ivu.elect.presentation.ergebnis;

import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.business.wahl.boundary.WahlNichtAusgewaehltException;
import de.ivu.elect.jee.faces.PreConditionCheck;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.KeineOnlineHilfe;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;

@OnlineHilfeId(KeineOnlineHilfe.KEINE_ONLINE_HILFE)
@Named(AbstractErgebnisSearchView.COMPONENT_NAME)
public class ErgebnisSearchView extends AbstractErgebnisSearchView {

  private static final long serialVersionUID = 1L;

  @PreConditionCheck
  public String checkPreCondition() {
    if (!isWahlSelected()) {
      throw new WahlNichtAusgewaehltException();
    }

    return null;
  }

  @Override
  public void presetSearchParameters() {
    searchParameters.setWahl(getSelectedWahl());
  }

  @Override
  protected AbstractGebietSecurityFilter<Ergebnis> getGebietSecurityFilter() {
    return KEIN_GEBIET_SECURITY_FILTER;
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    // nichts zu tun
  }
}
